<?php
require_once(dirname(__FILE__).'/../../upgrade.php');
class create_customfields_table extends UPGRADE
{
	/**
	* IsAlreadyUpgraded
	* Do we need to run this classes upgrade script or not ?
	*
	* @return bool true if the upgrade has already run, otherwise false
	*/
	function IsAlreadyUpgraded()
	{
		return $this->TableExists($GLOBALS['tablePrefix'].'customfields');
	}

	/**
	* Upgrade
	* Do the actual upgrade of this component. If this is successful all
	* subsequent calls to IsAlreadyUpgraded should return true
	*
	* @return void
	*/
	function Upgrade()
	{
		$query = "
			CREATE TABLE `".$GLOBALS['tablePrefix']."customfields` (
			  `customfieldid` int(11) NOT NULL auto_increment,
			  `name` varchar(100) NOT NULL,
			  `type` enum('multi_check','freeform') NOT NULL,
			  PRIMARY KEY  (`customfieldid`)
			)			
		";			

		$result = $GLOBALS['AKB_DB']->Query($query);
	}

}
?>
